org.apache.poi.hpbf.model.qcbits

## Class QCPLCBit

- java.lang.Object
- - org.apache.poi.hpbf.model.qcbits.QCBit
  - - org.apache.poi.hpbf.model.qcbits.QCPLCBit

- Direct Known Subclasses:
    QCPLCBit.Type0, QCPLCBit.Type12, QCPLCBit.Type4, QCPLCBit.Type8

      public abstract class QCPLCBit
      extends QCBit

  A "PLC " (PLC) based bit of Quill Contents. The exact format is determined by the type of the PLCs.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QCPLCBit.Type0` Type 0 seem to be somewhat rare.
    `static class` | `QCPLCBit.Type12` Type 12 holds hyperlinks, and is very complex.
    `static class` | `QCPLCBit.Type4` Type 4 is quite common.
    `static class` | `QCPLCBit.Type8` Type 8 is quite common.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QCPLCBit` | `createQCPLCBit(java.lang.String thingType, java.lang.String bitType, byte[] data)`
    `int` | `getNumberOfPLCs()`
    `long[]` | `getPlcValA()`
    `long[]` | `getPlcValB()`
    `int[]` | `getPreData()`
    `int` | `getTypeOfPLCS()`

    - ### Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCBit

      `getBitType, getData, getDataOffset, getLength, getOptA, getOptB, getOptC, getThingType, setData, setDataOffset, setOptA, setOptB, setOptC`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNumberOfPLCs

          public int getNumberOfPLCs()

    - #### getTypeOfPLCS

          public int getTypeOfPLCS()

    - #### getPreData

          public int[] getPreData()

    - #### getPlcValA

          public long[] getPlcValA()

    - #### getPlcValB

          public long[] getPlcValB()

    - #### createQCPLCBit

          public static QCPLCBit createQCPLCBit(java.lang.String thingType,
                                                java.lang.String bitType,
                                                byte[] data)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.